View Issue Details

IDProjectCategoryView StatusLast Update
0001755SymmetricDSBugpublic2014-07-12 17:31
ReporterhrkAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.22 
Target Version3.6.2Fixed in Version3.6.2 
Summary0001755: XML Data (schema and data) is not properly escaped.
DescriptionRunning an export/import or an initial load fails due to having a table with a column with an '&' in its name. The resulting XML is invalid and the receiving node fails.

It looks to me like the change in http://www.symmetricds.org/issues/view.php?id=856 isn't enough. It uses StringEscapeUtils to escape the value, but not to escape the column name, resulting in the invalid XML.

[Please, don't ask why I have a column w/ "&" in its name]
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master b21fdd56

2014-07-07 16:46:23

chenson

Details Diff
0001755: XML Data (schema and data) is not properly escaped.
0001755
mod - symmetric-db/src/main/java/org/jumpmind/db/io/DatabaseXmlUtil.java Diff File
mod - symmetric-db/src/test/java/org/jumpmind/db/io/DatabaseXmlUtilTest.java Diff File
mod - symmetric-db/src/test/resources/testDatabaseIO.xml Diff File

Issue History

Date Modified Username Field Change
2014-06-11 04:06 hrk New Issue
2014-07-07 16:46 chenson Assigned To => chenson
2014-07-07 16:46 chenson Status new => assigned
2014-07-07 16:46 chenson Fixed in Version => 3.6.2
2014-07-07 16:46 chenson Target Version => 3.6.2
2014-07-07 16:46 chenson Status assigned => resolved
2014-07-07 16:46 chenson Resolution open => fixed
2014-07-07 17:00 chenson Changeset attached => SymmetricDS trunk r8443
2014-07-12 17:31 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master b21fdd56